
## 1.0.0-beta.103 (2022-03-09)


### ⚠ BREAKING CHANGES

* `deployment.expose` renamed to `deployment.exposeViaService`
* `deployment.expose` and `service.addDeployment` now accept a `port` as part of the options, and not a positional argument.

### Features

* default port when exposing deployment ([#55](https://github.com/cdk8s-team/cdk8s-plus/issues/55)) ([3944c04](https://github.com/cdk8s-team/cdk8s-plus/commit/3944c0448ea00d8967bb408b25a5bc12702a0f50))
* Env var from fieldRef/resource support ([#263](https://github.com/cdk8s-team/cdk8s-plus/issues/263)) ([#278](https://github.com/cdk8s-team/cdk8s-plus/issues/278)) ([80045cf](https://github.com/cdk8s-team/cdk8s-plus/commit/80045cf93e62cf2e58e2fadb18ee38512e42be8c))
* expose service via ingress ([#57](https://github.com/cdk8s-team/cdk8s-plus/issues/57)) ([db6cf45](https://github.com/cdk8s-team/cdk8s-plus/commit/db6cf45d9ec13996a4914dad29e8d63d65512895))
* Secret volume support ([#211](https://github.com/cdk8s-team/cdk8s-plus/issues/211)) ([#268](https://github.com/cdk8s-team/cdk8s-plus/issues/268)) ([53d8fcd](https://github.com/cdk8s-team/cdk8s-plus/commit/53d8fcdaa0ed0a28ffa4e311f96654872705ceae))


### Bug Fixes

* branch regex doesn't capture current branch names ([#49](https://github.com/cdk8s-team/cdk8s-plus/issues/49)) ([1fee1cf](https://github.com/cdk8s-team/cdk8s-plus/commit/1fee1cfe5337738a1d1f816405277a5998b89ec1))
* branching strategy for renamed branches ([4534b30](https://github.com/cdk8s-team/cdk8s-plus/commit/4534b3039a5f7a7c55ee1390b81346577707e845))
* callable import incompatible with esModuleInterop ([#81](https://github.com/cdk8s-team/cdk8s-plus/issues/81)) ([83ec594](https://github.com/cdk8s-team/cdk8s-plus/commit/83ec594345a09a6dec79287d2cb815c22c7af247))
